#include <stdio.h>

int prime(int n);

int main()
{
	int var1=0, var2=0;
	int *pvar= &var2;

	printf("var1 = %9d,     var2 = %9d\n", var1, var2);

	while ( ! ( prime(var1) && prime(var2) ) ) // keep on looping as long as both numbers are not prime
	{
		do // making sure that the input is not negative
		{
			printf("please enter a number: ");
			scanf("%d", pvar);
		}
		while (*pvar < 0);
		
		printf("var1 = %9d,     var2 = %9d\n", var1, var2);

		// each time pvar will change.. if pvar eq addr_of(var1), pvar <- addr_of(var2), else pvar <- addr_of(var1)
		pvar = (pvar == &var1)?(&var2):(&var1);
	}

	return 0;
}

int prime(int n)
{
	int i;

	// if n is smaller then 2 return false (not prime)
	if (n<2)
		return 0;

	for (i=2; i*i<=n; i++) // for each i between 2 and root of n
		if (n%i == 0)      // if the number devides with i without modulus
			return 0;      // return false (not prime)

	return 1; // return true (prime)
}