#include <stdio.h>

int xor(int n);

int main()
{
	int xor_true=1, xor_false=1;
	int *ptr=&xor_false;

	while (*ptr)
	{
		if ( xor(xor_true) ^ xor(xor_false) )  // when all the bits xored ..
			ptr = &xor_true;  // if ret = 1, ptr <- xor_true
		else
			ptr = &xor_false; // if ret = 0, ptr <- xor_false
		
		printf("xor_true = %9d,   xor_false = %9d\n", xor_true, xor_false);

		printf("input: ");
		scanf("%d", ptr);     // input to the relevant xor variable
	}

	return 0;
}

// counting the bits in n and xoring them (odd count returns 1, even count returns 0)
int xor(int n)
{
	int result = 0;

	// xor all the bits in the variable
	while (n)
	{
		n = (n)&(n-1);    // this expression zeroes the smallest bit
		result = !result;
	}

	return result;
}
