#include <stdio.h>

void input_abc(int *a, int *b, int *c);
void init_ptrs(int **pLarge, int **pMedium, int **pSmall, int *a, int *b, int *c);

void swap_ptr(int **p1, int **p2);
void print_ptr_eq_abc_msg(int *ptr, char *ptr_name, int *a, int *b, int *c);

int main()
{
	int a, b, c;
	int *pSmall, *pMedium, *pLarge;

	input_abc(&a, &b, &c);
	init_ptrs(&pLarge, &pMedium, &pSmall, &a, &b, &c);

	while ( *pLarge - *pSmall <= 100 )
	{
		printf("input: ");
		scanf("%d", pMedium);

		if (*pMedium < *pSmall)
			swap_ptr(&pSmall, &pMedium);

		if (*pMedium > *pLarge)
			swap_ptr(&pMedium, &pLarge);
	}

	print_ptr_eq_abc_msg(pLarge, "pLarge", &a, &b, &c);
	print_ptr_eq_abc_msg(pMedium, "pMedium", &a, &b, &c);
	print_ptr_eq_abc_msg(pSmall, "pSmall", &a, &b, &c);

	return 0;
}

void input_abc(int *a, int *b, int *c)
{
	do
	{
		printf("a:  ");
		printf("enter a number: ");
		scanf("%d", a);

		printf("b:  ");
		printf("enter a number: ");
		scanf("%d", b);

		printf("c:  ");
		printf("enter a number: ");
		scanf("%d", c);
	}
	while (*a == *b || *b == *c || *c == *a);
}

void init_ptrs(int **pLarge, int **pMedium, int **pSmall, int *a, int *b, int *c)
{
	if (*a>*b && *a>*c)
	{
		*pLarge = a;

		if (*b>*c)
		{
			*pMedium = b;
			*pSmall = c;
		}
		else
		{
			*pMedium = c;
			*pSmall = b;
		}
	}
	else if (*b>*a && *b>*c)
	{
		pLarge = b;

		if (*a>*c)
		{
			*pMedium = a;
			*pSmall = c;
		}
		else
		{
			*pMedium = c;
			*pSmall = a;
		}
	}
	else // c>a && c>b
	{
		*pLarge = c;

		if (*a>*b)
		{
			*pMedium = a;
			*pSmall = b;
		}
		else
		{
			*pMedium = b;
			*pSmall = a;
		}
	}
}

void swap_ptr(int **p1, int **p2)
{
	int *tmp;

	tmp = *p1;
	*p1 = *p2;
	*p2 = tmp;
}

void print_ptr_eq_abc_msg(int *ptr, char *ptr_name, int *a, int *b, int *c)
{
	if (ptr == a)
	{
		printf("%s == a\n", ptr_name);
		return ;
	}

	if (ptr == b)
	{
		printf("%s == b\n", ptr_name);
		return ;
	}
	
	if (ptr == c)
	{
		printf("%s == c\n", ptr_name);
		return ;
	}
}
